# Visual3d_TypeOfLightSource.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Visual3d_TypeOfLightSource { Visual3d_TOLS_AMBIENT, Visual3d_TOLS_DIRECTIONAL, Visual3d_TOLS_POSITIONAL, Visual3d_TOLS_SPOT }
| The answer of the method AcceptDisplay AcceptDisplay means is it possible to display the specified structure in the specified view ? TOA_YES yes TOA_NO no TOA_COMPUTE yes but we have to compute the representation . More...

## Enumeration Type Documentation

enum Visual3d_TypeOfLightSource

Enumeration values:

  Visual3d_TOLS_AMBIENT |
  Visual3d_TOLS_DIRECTIONAL |
  Visual3d_TOLS_POSITIONAL |
  Visual3d_TOLS_SPOT |